package com.platform.modules.live.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.modules.foreign.entity.CommentForeignEntity;
import com.platform.modules.live.entity.LiveCommentEntity;
import com.platform.modules.live.vo.LiveCommentAppVo;

/**
 * 现场评论
 * 
 * @author weiyan
 * @email
 * @date 2019-02-15 17:49:07
 */
public interface LiveCommentService extends IService<LiveCommentEntity> {

	PageUtils queryPageByParams(Map<String, Object> params);

	List<CommentForeignEntity> queryForeignList(Integer sceneId, Integer page, Integer limit);

	Map<String, Object> info(Integer id);

	void save(LiveCommentEntity liveReport, Long userId);

	void update(LiveCommentEntity liveReport, Long userId);

	void delete(Integer id, Long userId);

	void deleteBatch(Integer[] ids, Long userId);

	void releaseBatch(Integer[] ids, Long userId);

	void cancelReleaseBatch(Integer[] ids, Long userId);

	/**
	 * 系统app用户查询需要审核的评论页
	 * 
	 * @param page
	 *            页码
	 * @param limit
	 *            每页大小
	 * @param sceneId
	 *            现场id
	 * @param source
	 *            来源
	 * @param text
	 *            评论内容,相似查询
	 * @return 页面
	 */
	Page<LiveCommentAppVo> queryCommentCheckPageByParams(Integer page, Integer limit, Integer sceneId, Integer source,
			String text);

	/**
	 * 根据现场id获取
	 *
	 * @param sceneId 现场id
	 * */
	public List<LiveCommentEntity> getBySceneId(Integer sceneId);
}
